## startactive 0.4

=== CMakeLists.txt ===
project(startactive)

FIND_PACKAGE(Qt4 REQUIRED)
FIND_PACKAGE(KDE4 REQUIRED)

include_directories(
    ${QT_INCLUDES}
    ${KDE4_INCLUDES}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(splash/themes)
add_subdirectory(modules)
add_subdirectory(systemd)

set(startactive_SRC
    StartActive.cpp
    SignalListener.cpp
    ProcessStarter.cpp
    splash/SplashWindow.cpp
    main.cpp
)

set(KDE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
set(MODULE_PATH "${DATA_INSTALL_DIR}/startactive/modules/")
set(STARTACTIVE_DATA_PATH "${DATA_INSTALL_DIR}/startactive/")
set(KDE_DATADIR "${DATA_INSTALL_DIR}")
set(KDE_DEFAULT_HOME ".kde")

message(${MODULE_PATH})

configure_file(
    config-startactive.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/config-startactive.h
)

configure_file(
    env.conf.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/env.conf
)

qt4_add_dbus_adaptor(
    startactive_SRC
    org.kde.StartActive.xml
    StartActive.h StartActive
)

kde4_add_executable(
    startactive.bin
    ${startactive_SRC}
)

target_link_libraries(
    startactive.bin
    ${QT_QTCORE_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${X11_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDECORE_LIBS}

    ${X11_Xrender_LIB}
    ${X11_X11_LIB}
)

if (X11_Xcursor_FOUND)
   target_link_libraries(startactive.bin ${X11_Xcursor_LIB})
endif (X11_Xcursor_FOUND)

message(${INSTALL_TARGETS_DEFAULT_ARGS})

install(
    TARGETS
    startactive.bin
    ${INSTALL_TARGETS_DEFAULT_ARGS}
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/env.conf
    DESTINATION ${STARTACTIVE_DATA_PATH}
)

install(
    FILES startactive
    DESTINATION "${CMAKE_INSTALL_PREFIX}/bin"
    PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

install(
    FILES setup-kde-skel
    DESTINATION "${CMAKE_INSTALL_PREFIX}/bin"
    PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== modules/CMakeLists.txt ===
FILE(GLOB startactive_modules *.module)
FILE(GLOB startactive_modules_in *.module.in)

SET(inFiles
    kdeinit.module
    lnusertemp-socket.module
    lnusertemp-cache.module
    lnusertemp-tmp.module
    )

# FindKDE4Internal defines KDE4_LIBEXEC_INSTALL_DIR
# which is used by configure_file to set the right paths

FOREACH(infileName ${inFiles})
    MESSAGE(STATUS "Process file: ${infileName}")

    configure_file(${infileName}.in "${CMAKE_CURRENT_BINARY_DIR}/${infileName}" @ONLY)

    install(
        FILES "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
        DESTINATION ${DATA_INSTALL_DIR}/startactive/modules/
        )
ENDFOREACH(infileName)

install(
    FILES ${startactive_modules}
    DESTINATION ${DATA_INSTALL_DIR}/startactive/modules/
)

=== systemd/CMakeLists.txt ===
FILE(GLOB systemd_services *.service *.target)
FILE(GLOB systemd_services_in *.service.in)

SET(inFiles
    activitymanager.service
    contour.service
    kdeinit.service
    ksmserver.service
    lnusertemp-cache.service
    lnusertemp-socket.service
    lnusertemp-tmp.service
    nepomuk.service
    plasma-device.service
    setup-kde-skel.service
    startactive.service
    )

# FindKDE4Internal defines KDE4_LIBEXEC_INSTALL_DIR
# which is used by configure_file to set the right paths

FOREACH(infileName ${inFiles})
    MESSAGE(STATUS "Process file: ${infileName}")

    configure_file(${infileName}.in "${CMAKE_CURRENT_BINARY_DIR}/${infileName}" @ONLY)

    install(
        FILES "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
        DESTINATION ${LIB_INSTALL_DIR}/systemd/user/
        )
ENDFOREACH(infileName)

install(
    FILES ${systemd_services}
    DESTINATION ${LIB_INSTALL_DIR}/systemd/user/
)

=== splash/themes/CMakeLists.txt ===
add_subdirectory(qmldefault)

=== splash/themes/qmldefault/CMakeLists.txt ===
install(FILES Preview.png Theme.rc main.qml DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmldefault)

install(FILES images/kdegear.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmldefault/images)
install(FILES images/kdeletter.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmldefault/images)
install(FILES images/kdemask.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmldefault/images)
install(FILES images/kdelogo.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmldefault/images)
install(FILES images/kdelogo-contrast.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmldefault/images)

=== debian/changelog ===
startactive (1:0.4-0ubuntu2) saucy; urgency=low

  * Replace kubuntu_02_remove_upstream_KDEDIRS.diff with
    kubuntu_add_kubuntu_settings_to_kdedirs.diff which adds
    kubuntu-settings-active to KDEDIRS. 
    This helps resolve a settings override from active on regular desktop
    sessions and at prevents upstream's settings from taking preference which
    in turn will result in both plasma-device and plasma-desktop started through
    startactive as startactive will process the non-override autostarts which
    contain plasma-desktop.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 11 Oct 2013 17:00:03 +0200

startactive (1:0.4-0ubuntu1) saucy; urgency=high

  * New upstream release LP: #1227602
  * Add epoch to sync version number with upstream
  * Update kubuntu_03_show_mouse_cursor.diff
  * Disable kubuntu_02_remove_upstream_KDEDIRS.diff not sure what it's for
  * Add build-depend on libx11-dev, libxrender-dev, libxcursor-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Sep 2013 16:36:25 +0100

startactive (3.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * startactive depends on startactive-data (= ${source:Version})

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 24 Dec 2012 16:21:25 +0000

startactive (2.0+git2012090301-0ubuntu1) quantal; urgency=low

  * New upstream snapshot
  * Add startactive.postinst and startactive.postrm to set the default
    session to plasma-active
  * Remove kubuntu_01_make_active_run.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Sep 2012 12:00:09 +0100

startactive (2.0+git2012030201-0ubuntu2) precise; urgency=low

  [ Jonathan Kolberg ]
  * Made the ksmserver module start kwinactive
  * Bumped Standards-Version to 3.9.3
  * Fixed an error in the copyright file

  [ Rodrigo Belem ]
  * Refresh the patch kubuntu_01_make_active_run.diff

 -- Rodrigo Belem <rbelem@ubuntu.com>  Thu, 12 Apr 2012 15:36:05 -0400

startactive (2.0+git2012030201-0ubuntu1) precise; urgency=low

  * Initial Release.

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sat, 03 Mar 2012 12:40:22 -0400

=== debian/control ===
Source: startactive
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), quilt (>= 0.46-7~), cmake (>= 2.8.1),
 pkg-kde-tools (>= 0.5.0~), kdelibs5-dev, libx11-dev, libxrender-dev,
 libxcursor-dev
Standards-Version: 3.9.3
Homepage: http://www.plasma-active.org/

Package: startactive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, startactive-data (= ${source:Version}), kde-workspace-bin (>= 4.8)
Description: startup for the Plasma Active workspace
 The startup manager for Plasma Active.
 .
 This package is part of KDE's Plasma Active platform.

Package: startactive-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: startup for the Plasma Active workspace - data
 The startup manager for Plasma Active - data files.
 .
 This package is part of KDE's Plasma Active platform.

Package: ksplash-theme-active
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-declarative
Description: KSplash theme for Plasma Active
 Provides a KSplash theme for Plasma Active.
 .
 This package is part of KDE's Plasma Active platform.

## startactive 2.0+git2012030201

=== debian/control ===
Source: startactive
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), quilt (>= 0.46-7~), cmake (>= 2.8.1),
 pkg-kde-tools (>= 0.5.0~), kdelibs5-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/

Package: startactive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, startactive-data (= ${binary:Version}), kde-workspace-bin (>= 4.8)
Description: initialization module for the Plasma Contour Active workspace
 Provides initialization machinery for the Plasma Active.
 .
 This package is part of the Plasma Contour Active Platform.

Package: startactive-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: data files for startactive
 This package provides Plasma Active specific settings for other kde modules.
 .
 This package is part of the Plasma Contour Active Platform.

Package: startactive-ksplash-theme
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-declarative
Description: ksplash theme for the Plasma Contour Active workspace
 Provides a ksplash theme for the Plasma Active.
 .
 This package is part of the Plasma Contour Active Platform.

## startactive 2.0+git2012090301

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,6 @@
 
 add_subdirectory(splash/themes)
 add_subdirectory(modules)
-add_subdirectory(systemd)
 
 set(startactive_SRC
     StartActive.cpp
@@ -60,15 +59,10 @@
     ${X11_LIBRARIES}
     ${QT_QTDECLARATIVE_LIBRARY}
     ${QT_QTGUI_LIBRARY}
-    ${KDE4_KDECORE_LIBS}
 
-    ${X11_Xrender_LIB}
-    ${X11_X11_LIB}
+    # ${QT_QTSCRIPT_LIBRARY}
+    # ${KDE4_KDECORE_LIBS}
 )
-
-if (X11_Xcursor_FOUND)
-   target_link_libraries(startactive.bin ${X11_Xcursor_LIB})
-endif (X11_Xcursor_FOUND)
 
 message(${INSTALL_TARGETS_DEFAULT_ARGS})

## startactive 3.0

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: startactive
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, startactive-data (= ${binary:Version}), kde-workspace-bin (>= 4.8)
+Depends: ${shlibs:Depends}, ${misc:Depends}, startactive-data (= ${source:Version}), kde-workspace-bin (>= 4.8)
 Description: initialization module for the Plasma Contour Active workspace
  Provides initialization machinery for the Plasma Active.
  .
